:root {
  --mobile-section-margin: 4rem 3rem;
  --primary-color-one: #2b2b2b;
  --primary-color-two: #3b3b3b;
  --caption-lable-text-color: #858584;
  --text-primary-color: ##fff;
  --button-primary-color: #a259ff;
}

/*
font-family: 'Space Mono', monospace;
*/

body {
  font-family: 'Work Sans', sans-serif;
  background-color: var(--primary-color-one);
  color: #fff;
}

body::-webkit-scrollbar {
  display: none;
  overflow-y: none;
  overflow-x: none;
}

header {
  padding: 1.5rem 3rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.desktop-menu {
  display: none;
}

.logo {
  display: flex;
  gap: 0.9rem;
}

.main-title {
  font-weight: 500;
  font-size: 1.8rem;
}

.hero {
  margin: var(--mobile-section-margin);
}

.hero-title {
  font-weight: 600;
  font-size: 2.6rem;
  line-height: 3.9rem;
  letter-spacing: 0.05rem;
  text-transform: capitalize;
  margin-bottom: 1rem;
}

.hero-text {
  font-size: 1.6rem;
  font-weight: 400;
  text-align: justify;
  line-height: 2rem;
  margin-bottom: 4rem;
}

.space-walking-card {
  background-color: var(--primary-color-two);
  border-radius: 2rem;
  margin-bottom: 4rem;
}

.space-walking-card > img {
  width: 100%;
  height: 100%;
}

.card-content {
  padding: 2rem;
}

.card-content > h5 {
  font-weight: 600;
  font-size: 2.2rem;
  line-height: 3rem;
  margin-bottom: 1rem;
}

.user {
  display: flex;
  gap: 2rem;
}

.user > img {
  width: 2.4rem;
  height: 2.4rem;
}

.user-name {
  font-weight: 400;
  font-size: 1.6rem;
  line-height: 2.2rem;
}

.get-started {
  width: 100%;
  border-radius: 2rem;
  background-color: var(--button-primary-color);
  padding: 1.6rem 0;
  border: none;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 4rem;
  cursor: pointer;
}

.get-started > span {
  font-size: 1.6rem;
  line-height: 2.2rem;
  font-weight: 600;
  color: #fff;
}

.states {
  display: flex;
  justify-content: space-between;
  font-family: 'Space Mono', monospace;
}

.states .data {
  font-weight: 700;
  font-size: 1.6rem;
}

.states .data-name {
  font-weight: 400;
}

.trending {
  padding: var(--mobile-section-margin);
}

.trending-nft-gallery {
  display: grid;
  grid-template-rows: 1fr 1fr 1fr;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-areas:
    'main main main'
    'main main main'
    'main main main'
    'otr1 otr2 otr3';
  row-gap: 1.5rem;
  column-gap: 1rem;
  padding-bottom: 1.5rem;
}

.trending-nft-gallery .main {
  grid-area: main;
  cursor: pointer;
}

.trending-nft-gallery .main > img {
  width: 100%;
  height: 100%;
}

.trending-nft-gallery .other1 {
  grid-area: otr1;
  cursor: pointer;
}

.trending-nft-gallery .other2 {
  grid-area: otr2;
  cursor: pointer;
}
.trending-nft-gallery .other3 {
  grid-area: otr3;
  background-color: var(--button-primary-color);
  border-radius: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.6rem;
  font-weight: 700;
  font-family: 'Space Mono', monospace;
  cursor: pointer;
}

.trending-title {
  font-weight: 600;
  font-size: 2.8rem;
  line-height: 4rem;
  margin-bottom: 1rem;
}

.trending-text {
  font-weight: 400;
  font-size: 1.6rem;
  margin-bottom: 4rem;
}

.gallery-title {
  font-size: 2.2rem;
  font-weight: 600;
  line-height: 3rem;
  margin-bottom: 1rem;
}

.top-creators {
  margin: var(--mobile-section-margin);
}

.top-creators-title {
  font-size: 2.8rem;
  font-weight: 600;
  line-height: 4rem;
  margin-bottom: 1rem;
}

.top-creators-para {
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 2.2rem;
  text-align: justify;
  margin-bottom: 4rem;
}

.top-creators-chart {
  display: flex;
  gap: 2rem;
  flex-direction: column;
  margin-bottom: 4rem;
}

.top-creator {
  padding: 2rem;
  background-color: var(--primary-color-two);
  border-radius: 2rem;
  display: flex;
  gap: 2rem;
  align-items: center;
  cursor: pointer;
}

.top-creator .img {
  position: relative;
}

.top-creator .img > p {
  position: absolute;
  border-radius: 2rem;
  background-color: var(--primary-color-one);
  width: 2.2rem;
  height: 2.2rem;
  display: flex;
  justify-content: center;
  align-items: center;
  top: -0.5rem;
  left: -0.5rem;
}

.top-creator-details .name {
  font-size: 2.2rem;
  font-weight: 600;
  line-height: 3rem;
  margin-bottom: 0.5rem;
}

.top-creator-details {
  font-size: 1.6rem;
  line-height: 2.2rem;
  font-weight: 400;
}

.top-creator-details span:first-child {
  color: var(--caption-lable-text-color);
}

.top-creator-details span:last-child {
  font-family: 'Space Mono', monospace;
}

.view-rank-btn {
  background: none;
  border-width: 0.2rem;
  border-color: var(--button-primary-color);
  width: 100%;
  border-radius: 2rem;
  padding: 1.6rem 0;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 4rem;
  gap: 1.2rem;
  cursor: pointer;
}

.view-rank-btn > p {
  font-size: 1.6rem;
  line-height: 2.2rem;
  font-weight: 600;
  color: #fff;
}

.categories {
  padding: var(--mobile-section-margin);
}

.category-items {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
}

.categories-title {
  font-size: 2.8rem;
  font-weight: 600;
  line-height: 4rem;
  margin-bottom: 4rem;
}

.category-item {
  background-color: var(--primary-color-two);
  border-radius: 2rem;
  flex: 1;
  cursor: pointer;
}

.category-item-name {
  padding: 2rem;
  font-size: 1.6rem;
  font-weight: 600;
  line-height: 2.2rem;
}

.category-item .image {
  position: relative;
  flex: 1;
}

.category-item .tool-i {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 10;
}

.category-item .bg-img {
  width: 100%;
  height: 100%;
  filter: blur(5px);
}

.discover-more {
  margin: var(--mobile-section-margin);
}

.discover-more-items {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  margin-bottom: 4rem;
}

.discover-more-title {
  font-size: 2.8rem;
  font-weight: 600;
  line-height: 4rem;
  margin-bottom: 1rem;
}

.discover-more-subtitle {
  font-size: 1.6rem;
  line-height: 2.2rem;
  margin-bottom: 4rem;
}

.discover-more-item {
  background-color: var(--primary-color-two);
  border-radius: 2rem;
}

.discover-more-item > img {
  width: 100%;
  height: 100%;
}

.discover-more-item h5 {
  font-size: 600;
  font-size: 2.2rem;
  line-height: 3rem;
  margin-bottom: 0.5rem;
}

.discover-more-item .user {
  margin-bottom: 2.5rem;
}

.discover-more-item .details {
  padding: 2rem;
}

.discover-more-item .details .user-name {
  font-family: 'Space Mono', monospace;
}

.discover-more-item .price-card {
  display: flex;
  justify-content: space-between;
}

.discover-more-item .price-card .title {
  color: var(--caption-lable-text-color);
  font-size: 1.2rem;
  font-weight: 400;
  line-height: 1.3rem;
  margin-bottom: 0.8rem;
}

.discover-more-item .price-card .value {
  font-size: 1.2rem;
  font-weight: 400;
  line-height: 1.3rem;
  text-align: right;
}

.see-all {
  background: none;
  border-width: 0.2rem;
  border-color: var(--button-primary-color);
  width: 100%;
  border-radius: 2rem;
  padding: 1.6rem 0;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 4rem;
  gap: 1.2rem;
  cursor: pointer;
}

.see-all > p {
  font-size: 1.6rem;
  line-height: 2.2rem;
  font-weight: 600;
  color: #fff;
}

.trending-top {
  background-image: linear-gradient(to bottom, #000, #b759ffa5),
    url(./assets/mashroom.png);
  background-size: cover;
  background-position: center;
  padding: 12rem 3rem 4rem 3rem;
  display: flex;
  gap: 3rem;
  flex-direction: column;
  opacity: 0.8;
  cursor: pointer;
}

.trending-top h3 {
  font-size: 3.8rem;
  font-weight: 600;
}

.user-popup {
  border-radius: 2rem;
  background-color: var(--primary-color-one);
  display: flex;
  width: fit-content;
  padding: 1rem 1.5rem;
  gap: 1.2rem;
}

.timer {
  padding: 3rem;
  background-color: #2b2b2b92;
  border-radius: 2rem;
}

.timer-para {
  font-family: 'Space Mono', monospace;
  font-weight: 400;
  font-size: 1.2rem;
  line-height: 1.32rem;
}

.timer-data-cards {
  display: flex;
  justify-content: space-between;
  z-index: 10;
  opacity: 1;
  color: #fff;
}

.timer-data-cards .timer-data {
  font-size: 3.8rem;
  font-weight: 700;
  line-height: 4.5rem;
}

.timer-data-cards .timer-info {
  font-size: 1.2rem;
  line-height: 1.32rem;
  font-weight: 400;
  font-family: 'Space Mono', monospace;
}

.see-nft-btn {
  background-color: #fff;
  opacity: 1;
  border: none;
  border-radius: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1.2rem;
  padding: 1.6rem 0;
  cursor: pointer;
}

.see-nft-btn > p {
  font-size: 1.6rem;
  font-weight: 600;
  line-height: 2.2rem;
}

.works {
  padding: var(--mobile-section-margin);
}

.work-title {
  font-size: 2.8rem;
  line-height: 4rem;
  font-weight: 600;
  margin-bottom: 1rem;
}

.work-para {
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 2.24rem;
  margin-bottom: 4rem;
}

.work-items {
  display: flex;
  gap: 2rem;
  flex-direction: column;
}

.work-item {
  display: flex;
  flex-direction: row;
  background-color: var(--primary-color-two);
  justify-content: center;
  align-items: center;
  gap: 2rem;
  border-radius: 2rem;
  cursor: pointer;
  padding: 2rem 0;
}

.work-item > img {
  width: 40%;
  height: 40%;
}

.work-item-info {
  flex: 1;
  padding: 0 2rem;
}

.work-item-title {
  font-weight: 600;
  font-size: 1.6rem;
  line-height: 2.24rem;
  margin-bottom: 1rem;
}

.call-to-action {
  margin: var(--mobile-section-margin);
}

.call-to-action > img {
  margin-bottom: 3rem;
  width: 100%;
  height: 100%;
}

.call-to-action-title {
  font-size: 2.8rem;
  font-weight: 600;
  line-height: 4rem;
  text-transform: capitalize;
  margin-bottom: 1rem;
}

.call-to-action-para {
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 2.2rem;
  margin-bottom: 4rem;
}

.call-to-action-input {
  width: 100%;
  padding: 1.2rem 2rem;
  border-radius: 2rem;
  border: none;
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 2.24rem;
  color: var(--primary-color-one);
  margin-bottom: 1.6rem;
}

.call-to-action-btn {
  width: 100%;
  border: none;
  border-radius: 2rem;
  display: flex;
  justify-content: center;
  gap: 1.2rem;
  align-items: center;
  align-items: center;
  padding: 1.2rem 2rem;
  cursor: pointer;
  background-color: var(--button-primary-color);
}

.call-to-action-btn {
  font-size: 1.6rem;
  line-height: 2.24rem;
  font-weight: 600;
  color: #fff;
}

footer {
  padding: var(--mobile-section-margin);
  background-color: var(--primary-color-two);
}

.our-info {
  margin: 2rem 0;
  font-weight: 400;
  font-size: 1.6rem;
  line-height: 2.2rem;
  color: #cccccc;
}

.join-our-community {
  color: #cccccc;
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 2.2rem;
  margin-bottom: 1.5rem;
}

.socials-i {
  display: flex;
  gap: 1rem;
}

.socials-i > * {
  cursor: pointer;
}

.explore {
  display: flex;
  flex-direction: column;
  margin: 3rem 0;
}

.explore-title {
  font-size: 2.2rem;
  font-weight: 700;
  line-height: 3.5rem;
  font-family: 'Space Mono', monospace;
}

.explore-i {
  margin-top: 2rem;
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 2.2rem;
  color: #cccccc;
  cursor: pointer;
}

.join-us {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.join-weekly-title {
  font-size: 2.2rem;
  font-weight: 700;
  line-height: 3.5rem;
  font-family: 'Space Mono', monospace;
}

.join-weekly-para {
  font-weight: 400;
  font-size: 1.6rem;
  line-height: 2.24rem;
}

hr {
  border: 0;
  border-top: 1px solid #858584;
}

.copy-right {
  font-size: 1.2rem;
  font-weight: 400;
  font-variant: var(--caption-lable-text-color);
  margin-top: 2rem;
}

#collection-2,
#collection-3 {
  display: none;
}

@media screen and (min-width: 512px) {
  .hero {
    position: relative;
    gap: 2rem;
  }

  .hero > * {
    width: 45%;
  }

  .hero .space-walking-card {
    position: absolute;
    right: 0;
    top: 0;
    padding: 0;
  }
  .hero-title {
    font-size: 3.8rem;
    line-height: 4.56rem;
    font-weight: 600;
  }
  .get-started {
    padding: 2.5rem 0;
  }
  #collection-1,
  #collection-2 {
    display: grid;
  }
  .trending-nft {
    display: flex;
    flex-direction: row;
    gap: 3rem;
  }
  #collection-1,
  #collection-2 {
    width: 50%;
  }

  .top-creators {
    position: relative;
  }

  .top-creators-title,
  .top-creators-para {
    width: 40%;
  }

  .view-rank-btn {
    position: absolute;
    top: 2.5rem;
    right: 0;
    width: 50%;
  }
  .top-creators-chart {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
  .categories-items {
    display: grid;
    grid-template-columns: auto auto auto auto;
  }
  .discover-more {
    position: relative;
  }
  .discover-more-items {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1rem;
  }
  .discover-more-item > img {
    height: auto;
  }
  .discover-more-item {
    flex: 1;
  }
  .see-all {
    position: absolute;
    top: 1rem;
    right: 0;
    width: 40%;
  }
  .trending-top {
    position: relative;
  }
  .trending-top .user-popup,
  .see-nft-btn {
    width: 30%;
  }
  .trending-top h3 {
    width: 60%;
  }
  .trending-top .timer {
    position: absolute;
    right: 3rem;
    top: 40%;
  }
  .category-items {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
  .work-items {
    flex-direction: row;
    flex-wrap: wrap;
  }
  .work-item {
    flex-direction: column;
    flex: 1;
    gap: 1rem;
  }
  .work-item > img {
    width: 100%;
    height: 100%;
  }
  .call-to-action {
    background-color: var(--primary-color-two);
    padding: 4rem 3rem;
    border-radius: 2rem;
    gap: 3rem;
    display: flex;
    flex-direction: row;
  }
  .join-us {
    position: relative;
  }

  .join-us .call-to-action-input {
    width: 40%;
    height: 5rem;
  }

  .join-us .call-to-action-btn {
    position: absolute;
    top: 9.78rem;
    left: 22rem;
    width: 30%;
    height: 5rem;
  }
}

@media screen and (min-width: 1024px) {
  .menu {
    display: none;
  }
  .desktop-menu {
    display: block;
  }
  .hero {
    margin-right: 10rem;
    margin-left: 10rem;
  }
  .desktop-menu .nav-links {
    display: flex;
    flex-direction: row;
    gap: 1rem;
  }
  .nav-link {
    color: #fff;
    font-size: 1.6rem;
    line-height: 2.24rem;
    font-weight: 600;
    text-decoration: none;
    padding: 2rem;
  }
  .sign-up {
    padding: 1rem 3rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1.2rem;
    flex-direction: row;
    background-color: var(--button-primary-color);
    border: none;
    border-radius: 2rem;
    cursor: pointer;
  }
  .sign-up p {
    font-size: 1.6rem;
    font-weight: 600;
    line-height: 2.24rem;
    color: #fff;
  }
  .hero-title,
  .hero-text,
  .states {
    width: 50%;
  }
  .get-started {
    width: 25%;
  }
  .hero-title {
    font-size: 6.7rem;
    line-height: 7.37rem;
  }
  .hero-text {
    font-size: 2.2rem;
    line-height: 3.52rem;
  }
  .space-walking-card .card-content h5 {
    font-size: 2.2rem;
  }
  .states {
    justify-content: flex-start;
    gap: 5rem;
  }
  .state-item .data {
    font-size: 2.8rem;
  }
  .state-item .data-name {
    font-size: 2.3rem;
  }
  .space-walking-card {
    width: 40%;
    height: auto;
  }
  .trending {
    margin-left: 10rem;
    margin-right: 10rem;
    padding: 8rem 0;
  }
  .trending-title {
    font-size: 3.8rem;
  }
  .trending-text {
    font-size: 2.2rem;
  }
  #collection-1,
  #collection-2,
  #collection-3 {
    flex: 1;
  }
  #collection-3 {
    display: grid;
  }
  .top-creators {
    margin-left: 10rem;
    margin-right: 10rem;
  }
  .top-creators-title,
  .top-creators-para {
    width: 70%;
  }
  .top-creators-title {
    font-size: 3.8rem;
    line-height: 4.56rem;
  }
  .top-creators-para {
    font-size: 2.2rem;
    line-height: 3.52rem;
  }
  .view-rank-btn {
    width: 25%;
  }
  .top-creators-chart {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: auto;
  }
  .category-items {
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
  }
  .categories {
    padding: 8rem 0;
    margin-left: 10rem;
    margin-right: 10rem;
  }
  .categories-title {
    font-size: 3.8rem;
    line-height: 4.56rem;
  }
  .discover-more {
    padding: 8rem 0;
    margin-left: 10rem;
    margin-right: 10rem;
  }
  .see-all {
    top: 10rem;
    width: 25%;
  }
  .discover-more-items {
    gap: 3rem;
    padding-top: 6rem;
  }
  .discover-more-title {
    font-size: 3.8rem;
    line-height: 4.56rem;
  }
  .discover-more-subtitle {
    font-size: 2.2rem;
    line-height: 3.52rem;
  }
  .user-popup,
  h3,
  .timer,
  .see-nft-btn {
    display: none;
  }
  .trending-top {
    background-image: url(./assets/mashroom.png);
    height: 60rem;
    width: 100%;
  }
  .works {
    margin: 8rem 10rem;
    padding: 0;
  }
  .work-item {
    margin: 0;
    padding: 2rem 0;
  }
  .work-title {
    font-size: 3.8rem;
    line-height: 4.56rem;
  }
  .work-para {
    font-size: 2.2rem;
    line-height: 3.52rem;
  }
  .work-item-title {
    font-size: 2.2rem;
  }
  .work-item-info-para {
    font-size: 1.6rem;
    line-height: 2.24rem;
  }
  .call-to-action {
    margin: 8rem 10rem;
  }
  .call-to-action > img,
  .call-to-action .call-to-action-details {
    flex: 1;
  }
  .call-to-action-details {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex;
    position: relative;
  }
  .call-to-action-title {
    font-size: 3.8rem;
    line-height: 4.56rem;
    width: 70%;
  }
  .call-to-action-para {
    font-size: 2.2rem;
    line-height: 3.52rem;
  }
  .call-to-action-input {
    padding: 2rem;
    width: 80%;
  }
  .call-to-action-btn {
    position: absolute;
    top: 27.85rem;
    width: 40%;
    right: 5rem;
    padding: 2rem;
  }
  footer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    padding: 4rem 10rem;
    position: relative;
  }
  .explore {
    margin: 0;
  }
  .join-weekly-para {
    width: 70%;
  }
  .copy-right {
    position: absolute;
    bottom: 2rem;
  }
  .join-us .call-to-action-input {
    width: 70%;
  }
  footer .join-us .call-to-action-btn {
    position: absolute;
    top: 12rem;
    left: 23rem;
  }
}
